# No binaries here, do not build a debuginfo package
%global debug_package %{nil}

%bcond_with    windows_only_tests
%bcond_without drop_failing_tests

Name:           nagios-plugins-check_logfiles
Version:        4.1.1
Release:        1%{?dist}
Summary:        Nagios plugin to check log files
License:        GPL-2.0-only
URL:            https://labs.consol.de/lang/en/nagios/check_logfiles/
Source0:        https://labs.consol.de/assets/downloads/nagios/check_logfiles-%{version}.tar.gz

# Avoid loading windows only Win32::EventLog perl module
# https://github.com/lausser/check_logfiles/issues/73
# https://github.com/lausser/check_logfiles/files/10455523/patch.txt
Patch1:         nagios-plugins-check_logfiles-4.1.1-no_win32_eventlog.patch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Errno)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::Command::MM)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(filetest)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IPC::Open2)
BuildRequires:  perl(Net::Domain)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Handle)
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)

Requires:       nagios-plugins


%description
check_logfiles is a plugin for Nagios which scans log files for specific
patterns.


%prep
%setup -q -n check_logfiles-%{version}
%patch -P1 -p1 -b .no_win32_eventlog
for i in AUTHORS COPYING INSTALL README README.windows-exe TODO; do
  chmod 644 $i;
done;


%build
%configure --prefix=%{_libdir}/nagios/plugins/
%make_build


%install
mkdir -p %{buildroot}%{_libdir}/nagios/plugins/
install -m 755 plugins-scripts/check_logfiles %{buildroot}%{_libdir}/nagios/plugins/


%check
cd t/
%if ! 0%{?with_windows_only_tests}
# Get failing Windows only tests out of the way...
# Unconditionnaly trying to use Win32::EventLog
# through Nagios/CheckLogfiles/Search/Eventlog.pm
rm -f \
  040wevtutilfilt.t \
  041wevtutil.t     \
  041wevtutilps.t
%endif
%if 0%{?with_drop_failing_tests}
# Get failing tests out of the way...
rm -f \
  082initfromline.t \
  100flooddetect.t
%endif
make tests


%files
%doc AUTHORS ChangeLog README TODO
%license COPYING
%{_libdir}/nagios/plugins/check_logfiles


%changelog
* Tue Jun 20 2023 Xavier Bachelot <xavier@bachelot.org> 4.1.1-1
- Update to 4.1.1

* Fri Jan 15 2021 Xavier Bachelot <xavier@bachelot.org> 4.0.1-1
- Update to 4.0.1

* Wed Feb 01 2017 Xavier Bachelot <xavier@bachelot.org> 3.7.6.3-1
- Update to 3.7.6.3.
- Clean up spec.
- Run the test suite.

* Wed Feb 01 2012 Xavier Bachelot <xavier@bachelot.org> 3.4.5.2-1
- Update to 3.4.5.2.

* Mon Nov 07 2011 Xavier Bachelot <xavier@bachelot.org> 3.4.3.1-1
- Update to 3.4.3.1.
- Update Source0 URL.
- Don't generate a -debuginfo package.

* Tue Mar 16 2010 Xavier Bachelot <xavier@bachelot.org> 3.1.5-1
- Update to 3.1.5.
- Update URL: and Source0:.
- Use %%configure macro.

* Wed Jun 10 2009 Xavier Bachelot <xavier@bachelot.org> 2.5.6.1-1
- Update to 2.5.6.1.
- Use version macro in URL:
- Keep time stamp on file encoding conversion.

* Fri Dec 12 2008 Xavier Bachelot <xavier@bachelot.org> 2.4.1.9-1
- Initial build.
